org.keycloak.models.sessions.mongo

## Class ClientSessionAdapter

- java.lang.Object
- - org.keycloak.models.sessions.mongo.ClientSessionAdapter

- All Implemented Interfaces:
    ClientSessionModel

      public class ClientSessionAdapter
      extends Object
      implements ClientSessionModel

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.ClientSessionModel

      `ClientSessionModel.Action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSessionAdapter(KeycloakSession session, MongoUserSessionProvider provider, RealmModel realm, MongoClientSessionEntity entity, MongoUserSessionEntity userSessionEntity, MongoStoreInvocationContext invContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientSessionModel.Action` | `getAction()`
    `ClientModel` | `getClient()`
    `String` | `getId()`
    `String` | `getRedirectUri()`
    `Set<String>` | `getRoles()`
    `String` | `getState()`
    `int` | `getTimestamp()`
    `UserSessionModel` | `getUserSession()`
    `void` | `setAction(ClientSessionModel.Action action)`
    `void` | `setTimestamp(int timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSessionAdapter

          public ClientSessionAdapter(KeycloakSession session,
                              MongoUserSessionProvider provider,
                              RealmModel realm,
                              MongoClientSessionEntity entity,
                              MongoUserSessionEntity userSessionEntity,
                              MongoStoreInvocationContext invContext)

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ClientSessionModel`

    - #### getClient

          public ClientModel getClient()

      Specified by:
        `getClient` in interface `ClientSessionModel`

    - #### getState

          public String getState()

      Specified by:
        `getState` in interface `ClientSessionModel`

    - #### getUserSession

          public UserSessionModel getUserSession()

      Specified by:
        `getUserSession` in interface `ClientSessionModel`

    - #### getRedirectUri

          public String getRedirectUri()

      Specified by:
        `getRedirectUri` in interface `ClientSessionModel`

    - #### getTimestamp

          public int getTimestamp()

      Specified by:
        `getTimestamp` in interface `ClientSessionModel`

    - #### setTimestamp

          public void setTimestamp(int timestamp)

      Specified by:
        `setTimestamp` in interface `ClientSessionModel`

    - #### getAction

          public ClientSessionModel.Action getAction()

      Specified by:
        `getAction` in interface `ClientSessionModel`

    - #### setAction

          public void setAction(ClientSessionModel.Action action)

      Specified by:
        `setAction` in interface `ClientSessionModel`

    - #### getRoles

          public Set<String> getRoles()

      Specified by:
        `getRoles` in interface `ClientSessionModel`

Copyright © 2014. All Rights Reserved.